<template>
  <Splide
    :id="idSlider"
    :has-track="false"
    :options="options"
    @splide:arrows:mounted="deleteBtn"
  >
    <SplideTrack>
      <slot name="slide"></slot>
    </SplideTrack>
    <div
      v-if="btnArrow"
      class="button-arrow-wrapper splide__arrows"
    >
      <button class="splide__arrow splide__arrow--prev">
        <VButton color="blue">
          <template #icon>
            <Arrow />
          </template>
        </VButton>
      </button>
      <button class="splide__arrow splide__arrow--next">
        <VButton color="blue">
          <template #icon>
            <Arrow />
          </template>
        </VButton>
      </button>
    </div>
  </Splide>
</template>

<script>
//   https://splidejs.com/v3/guides/options/
import { Splide, SplideSlide, SplideTrack } from '@splidejs/vue-splide';
import { defineComponent } from 'vue';
import VButton from './common/button.vue';
import Arrow from './icons/arrow-right.vue';

export default defineComponent({
  components: {
    Splide,
    SplideSlide,
    SplideTrack,
    VButton,
    Arrow,
  },
  props: {
    images: { type: Array },
    pagination: { type: Boolean, default: false },
    arrows: { type: Boolean, default: true },
    perPage: { type: Number, default: 2 },
    idSlider: { type: String },
    arrowsBottom: { type: Boolean, default: true },
    arrowsCenter: { type: Boolean, default: false },
    indexImgStart: { type: Number, default: 0 },
    loop: { type: Boolean, default: true },

    title: { type: String },
    posttitle: { type: String },
    btnArrow: {
      type: Boolean,
      default: true,
    },
  },

  setup(props) {
    const options = {
      perPage: props.perPage,
      type: props.loop ? 'loop' : 'slide', // 'slide', 'loop'
      arrows: props.arrows,
      pagination: props.pagination,
      lazyLoad: 'nearby', // 'nearby' загружать изображения вокруг активного слайда /'sequential' Загружает изображения последовательно / false
      gap: '10px',
      start: props.indexImgStart,
      // fixedWidth: 'max-content',
      // breakpoints: {
      //   1023: {
      //     perPage: 1,
      //     gap   : '10px',
      //   },
      // }
    };
    return { options };
  },
  data() {
    return {};
  },
  mounted() {},
  methods: {
    deleteBtn(splide, prev, next) {
      // if (prev && next && prev.hasAttribute('disabled') && next.hasAttribute('disabled')) {
      //   prev.style.display = 'none';
      //   next.style.display = 'none';
      // }
    },
  },
});
</script>
